3 Replies Latest reply: Sep 18, 2013 6:40 PM by iinami
iinami Level 4 Level 4 (1,405 points)

I have a Macbook pro with snow leopard 10.6.8 which is supposedly compatible. When i click check for updates in itunes it says the new version is available, when i click download it tells me my software is up to date? can anyone help?


Mac OS X (10.6.8), iPhone 5 iOS 6.1.3